Bug 1829996 - perl-Carp-Assert-More for EL7
Summary: perl-Carp-Assert-More for EL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Carp-Assert-More
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1829995
TreeView+ depends on / blocked
 
Reported: 2020-04-30 17:18 UTC by Xavier Bachelot
Modified: 2020-11-14 00:40 UTC (History)
4 users (show)

Fixed In Version: perl-Carp-Assert-More-1.24-1.el7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-14 00:40:45 UTC
Type: ---


Attachments (Terms of Use)

Description Xavier Bachelot 2020-04-30 17:18:04 UTC
Hi,

Could you please build perl-Carp-Assert-More in EPEL 7 ?
It's in the dependency chain of a package I'd like to build for EPEL 7.

Regards,
Xavier

Comment 1 Fedora Admin user for bugzilla script actions 2020-06-03 02:52:28 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Xavier Bachelot 2020-10-28 16:15:24 UTC
In order to fix build, on top of master :
- Drop from %build section: NO_PACKLIST=1 
- Add back in %install section: find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'

Comment 3 Xavier Bachelot 2020-10-29 11:39:12 UTC
Hi Spot,

Sorry for the raw comment from yesterday, I was mostly taking note for myself on what to do to achieve the build.

I've just checked the owners of this package and it is only you and tremble. Tremble is non-responsive, I've started the non-responsive maintainer policy [1].
As such, you're soon going to be the one and only maintainer for this package. If you can add me, I would be able to help, both to resolve this bug, its EL8 twin[2], and co-maintain the package.
perl-Carp-Assert is in the very same situation and there's a pending EL8 bug for it[3], so feel free to add me too.
My FAS username is xavierb. 

Regards,
Xavier

[1] https://pagure.io/fesco/issue/2492
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1829978
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1829979

Comment 4 Tom "spot" Callaway 2020-10-29 15:59:34 UTC
You now have admin permissions on perl-Carp-Assert, go forth and do what you need. :)

Comment 5 Tom "spot" Callaway 2020-10-29 16:00:13 UTC
... and perl-Carp-Assert-More. :)

Comment 6 Xavier Bachelot 2020-10-29 16:52:35 UTC
Great, thanks a lot :-)

Comment 7 Fedora Update System 2020-10-29 17:17:30 UTC
FEDORA-EPEL-2020-e31afd4d97 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e31afd4d97

Comment 8 Fedora Update System 2020-10-30 01:37:59 UTC
FEDORA-EPEL-2020-e31afd4d97 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e31afd4d97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-14 00:40:45 UTC
FEDORA-EPEL-2020-e31afd4d97 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.